<?php

namespace Drupal\back_office_access_restriction\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

class RoutesAlter extends RouteSubscriberBase {

  /**
   * @var array $routes
   */
  protected $routes;

  /**
   * RoutesAlter constructor.
   * @param array $routes
   */
  public function __construct(array $routes) {
    $this->routes = $routes;
  }

  /**
   * @param \Symfony\Component\Routing\RouteCollection $collection
   */
  public function AlterRoutes(RouteCollection $collection) {
    foreach ($this->routes as $route_name) {
      $route = $collection->get($route_name);
      $route->setRequirements(['_access' => 'false']);
    }
  }

}
